=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2007-04-30 19:52:44 +0000
+++ bzrlib/tests/test_msgeditor.py	2007-05-01 09:09:18 +0000
@@ -191,21 +191,22 @@
     def test__create_temp_file_with_commit_template(self):
         # check that commit template written properly
         # and has platform native line-endings (CRLF on win32)
-        msgfilename, hasinfo = bzrlib.\
-                               msgeditor.\
-                               _create_temp_file_with_commit_template(
-                                    'infotext', '----', 'start message')
+        create_file = bzrlib.msgeditor._create_temp_file_with_commit_template
+        msgfilename, hasinfo = create_file('infotext','----','start message')
         self.assertNotEqual(None, msgfilename)
         self.assertTrue(hasinfo)
-        expected = os.linesep.join(['start message','','',
-                                    '----','','infotext'])
+        expected = os.linesep.join(['start message',
+                                    '',
+                                    '',
+                                    '----',
+                                    '',
+                                    'infotext'])
         self.assertFileEqual(expected, msgfilename)
 
     def test__create_temp_file_with_empty_commit_template(self):
         # empty file
-        msgfilename, hasinfo = bzrlib.\
-                               msgeditor.\
-                               _create_temp_file_with_commit_template('')
+        create_file = bzrlib.msgeditor._create_temp_file_with_commit_template
+        msgfilename, hasinfo = create_file('')
         self.assertNotEqual(None, msgfilename)
         self.assertFalse(hasinfo)
         self.assertFileEqual('', msgfilename)

